Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.lib.sql
Class ColumnAttribute

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.lib.sql.StreamableNode
                  |
                  +--org.apache.xalan.lib.sql.ColumnAttribute

public class ColumnAttribute
extends StreamableNode
implements Attr

Represents a column attribute on a column-header element. Each column-header element can contain any of the following attributes, depending on the ResultSetMetadata object returned with the query result set.

- column-label
- column-name
- column-display-size
- column-type
- column-type-name
- precision
- scale
- catalogue-name
- schema-name
- table-name
- case-sensitive
- definitely-writable
- nullable
- signed
- writable
- searchable

See Also:
  `org.apache.xalan.lib.sql.ColumnHeader.`

Field Summary
`static int` | `CASESENSITIVE`
`static int` | `CATALOGUE_NAME`
`static int` | `COLUMN_LABEL`
`static int` | `COLUMN_NAME`
`static int` | `COLUMN_TYPE`
`static int` | `COLUMN_TYPENAME`
`static int` | `DEFINATELYWRITABLE`
`static int` | `DISPLAY_SIZE`
`static int` | `ISNULLABLE`
`static int` | `ISSEARCHABLE`
`static int` | `ISSIGNED`
`static int` | `ISWRITEABLE`
`static int` | `NUMBER_ATTRIBUTES`
`static int` | `PRECISION`
`static java.lang.String` | `S_CASESENSITIVE`
`static java.lang.String` | `S_CATALOGUE_NAME`
`static java.lang.String` | `S_COLUMN_LABEL`
`static java.lang.String` | `S_COLUMN_NAME`
`static java.lang.String` | `S_COLUMN_TYPE`
`static java.lang.String` | `S_COLUMN_TYPENAME`
`static java.lang.String` | `S_DEFINATELYWRITABLE`
`static java.lang.String` | `S_DISPLAY_SIZE`
`static java.lang.String` | `S_ISNULLABLE`
`static java.lang.String` | `S_ISSEARCHABLE`
`static java.lang.String` | `S_ISSIGNED`
`static java.lang.String` | `S_ISWRITEABLE`
`static java.lang.String` | `S_PRECISION`
`static java.lang.String` | `S_SCALE`
`static java.lang.String` | `S_SCHEMA_NAME`
`static java.lang.String` | `S_TABLE_NAME`
`static int` | `SCALE`
`static int` | `SCHEMA_NAME`
`static int` | `TABLE_NAME`

Constructor Summary
`ColumnAttribute(XStatement statement, Element owner, int columnIndex, int type, java.sql.ResultSetMetaData metadata)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getNodeName()`
`short` | `getNodeType()` Return Node.ATTRIBUTE_NODE.
`java.lang.String` | `getNodeValue()`
`Element` | `getOwnerElement()`
`Node` | `getParentNode()`
`boolean` | `getSpecified()`
`java.lang.String` | `getValue()`
`boolean` | `setName(java.lang.String name)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.xalan.lib.sql.StreamableNode
`getAttributes, getLength, getLocalName, getNamedItem, getNamedItemNS, getNamespaceURI, getNodeTest, getOwnerDocument, getPrefix, getUid, getXStatement, item, removeNamedItem, removeNamedItemNS, setNamedItem, setNamedItemNS, setNodeTest, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendChild, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getImplementation, getLastChild, getNextSibling, getPreviousSibling, getTagName, hasAttribute, hasAttributeNS, hasAttributes, hasChildNodes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATALOGUE_NAME

    public static final int CATALOGUE_NAME

### DISPLAY_SIZE

    public static final int DISPLAY_SIZE

### COLUMN_LABEL

    public static final int COLUMN_LABEL

### COLUMN_NAME

    public static final int COLUMN_NAME

### COLUMN_TYPE

    public static final int COLUMN_TYPE

### COLUMN_TYPENAME

    public static final int COLUMN_TYPENAME

### PRECISION

    public static final int PRECISION

### SCALE

    public static final int SCALE

### SCHEMA_NAME

    public static final int SCHEMA_NAME

### TABLE_NAME

    public static final int TABLE_NAME

### CASESENSITIVE

    public static final int CASESENSITIVE

### DEFINATELYWRITABLE

    public static final int DEFINATELYWRITABLE

### ISNULLABLE

    public static final int ISNULLABLE

### ISSIGNED

    public static final int ISSIGNED

### ISWRITEABLE

    public static final int ISWRITEABLE

### ISSEARCHABLE

    public static final int ISSEARCHABLE

### NUMBER_ATTRIBUTES

    public static final int NUMBER_ATTRIBUTES

### S_CATALOGUE_NAME

    public static final java.lang.String S_CATALOGUE_NAME

### S_DISPLAY_SIZE

    public static final java.lang.String S_DISPLAY_SIZE

### S_COLUMN_LABEL

    public static final java.lang.String S_COLUMN_LABEL

### S_COLUMN_NAME

    public static final java.lang.String S_COLUMN_NAME

### S_COLUMN_TYPE

    public static final java.lang.String S_COLUMN_TYPE

### S_COLUMN_TYPENAME

    public static final java.lang.String S_COLUMN_TYPENAME

### S_PRECISION

    public static final java.lang.String S_PRECISION

### S_SCALE

    public static final java.lang.String S_SCALE

### S_SCHEMA_NAME

    public static final java.lang.String S_SCHEMA_NAME

### S_TABLE_NAME

    public static final java.lang.String S_TABLE_NAME

### S_CASESENSITIVE

    public static final java.lang.String S_CASESENSITIVE

### S_DEFINATELYWRITABLE

    public static final java.lang.String S_DEFINATELYWRITABLE

### S_ISNULLABLE

    public static final java.lang.String S_ISNULLABLE

### S_ISSIGNED

    public static final java.lang.String S_ISSIGNED

### S_ISWRITEABLE

    public static final java.lang.String S_ISWRITEABLE

### S_ISSEARCHABLE

    public static final java.lang.String S_ISSEARCHABLE

Constructor Detail

### ColumnAttribute

    public ColumnAttribute(XStatement statement,
                           Element owner,
                           int columnIndex,
                           int type,
                           java.sql.ResultSetMetaData metadata)

Method Detail

### setName

    public boolean setName(java.lang.String name)

### getNodeName

    public java.lang.String getNodeName()

  Overrides:
    getNodeName in class UnImplNode

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface Attr

### getSpecified

    public boolean getSpecified()

  Specified by:
    getSpecified in interface Attr
  Overrides:
    getSpecified in class UnImplNode

### getNodeValue

    public java.lang.String getNodeValue()

  Overrides:
    getNodeValue in class UnImplNode

### getValue

    public java.lang.String getValue()

  Specified by:
    getValue in interface Attr

### setValue

    public void setValue(java.lang.String value)
                  throws DOMException

  Specified by:
    setValue in interface Attr
  Overrides:
    setValue in class UnImplNode

### getOwnerElement

    public Element getOwnerElement()

  Specified by:
    getOwnerElement in interface Attr
  Overrides:
    getOwnerElement in class UnImplNode

### getParentNode

    public Node getParentNode()

  Overrides:
    getParentNode in class UnImplNode

### getNodeType

    public short getNodeType()

  Return Node.ATTRIBUTE_NODE.
  Overrides:
    getNodeType in class StreamableNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.